$darkGray: #202020;
$lightGray: #525252;
$background: #1c1c1c;

.ui.dropdown.selection{
  margin: 2px;
  background-color: $darkGray;
  .icon{
    color: white;
  }
  & > .text{
    color: white;
  }
  & > .text.default{
    color: #ccc;
  }
}
.ui.dropdown .menu{
  background-color: $darkGray;
  .item, .item.active{
    color: white;
    transition: .2s;
    border: none !important;
    &:hover, &:focus{
      color: $lightGray;
    }
  }
}
.ui.selection.active.dropdown, .ui.selection.active.dropdown:hover,
.ui.selection.active.dropdown:focus,
.ui.selection.active.dropdown:hover .menu,
.ui.selection.active.dropdown .menu{
  border-color: $lightGray;
}

body{
  background-color: $background;
  color: white;
  min-height: 100%;  width: 100%;

  #offlineWarn{
    opacity: 1;
    transition: opacity .5s;

    &.hide{
      opacity: 0;
    }
  }

  #header{
    display: flex;  justify-content: space-between;
    flex-wrap: wrap;  align-items: center;
    min-height: 52px;
    padding: 8px;

    #timer{
      text-align: center;
      font-size: large;
      padding: 16px;
    }

    #navigation{
      display: flex;  flex-wrap: wrap;
      justify-content: stretch;

      .dropdown{
        flex-grow: 1;
        &:nth-child(3){
          max-width: 50%;
        }
      }

      #loader{
        display: inline-flex; align-items: center;
        margin-left: 8px;
        vertical-align: middle;  white-space: nowrap;
        overflow: hidden;

        div{
          transform: translateX(0);
          transition: transform .25s .25s ease;

          .loader{
            margin-right: 8px;
          }
        }
        &.hide div{
          transform: translateX(-100%);
        }
      }
    }
  }

  #rozvrh{
    padding: 1% 2%;
    min-height: 84.5%;
    position: relative;

    &::after{
      content: "Vyberte rozvrh";
      position: absolute;  top: 5vmax;  left: 0;
      width: 100%;  z-index: -1;
      display: flex;  justify-content: center;  align-items: center;
      font-size: 5vmax;  font-weight: bold; color: black;
      opacity: 0;  transition: opacity 1s;
    }

    &:empty::after{
      opacity: .3;
    }

    table{
      min-width: 100%;
      border-collapse: collapse;
      border-spacing: 0;
      border: 0;

      tr,td,th{
        height: 100%;
        border: 0.2vw solid $background;
      }
    }
    .lessonNumbers{
      .lessonNumber{
        background-color: $darkGray;
        height: 100%;
        min-width: 96px;
        padding: 15px 0;
        p{
          margin: 0;
        }
        .number{
          font-size: 26px;
          font-weight: bolder;
        }
        .time{
          font-weight: normal;
        }
      }
    }

    .stickyHeader th{
      position: -webkit-sticky;
      position: sticky;
      top: -8px;
    }

    .mobile-timeInfo{
      position: -webkit-sticky;
      position: sticky;
      top: calc(120px - .4vw);

      div{
        display: flex; justify-content: space-between;
        padding: 4px 8px 0;
        background-color: $darkGray;  box-shadow: 0 0 0 .2vw $background;

        .number{
          margin: 0;
          font-weight: bolder;
        }
        .time{
          font-weight: normal;
        }
      }
    }

    th.prehighlight,td.prehighlight,%prehighlight{
      &:not(.mobile-timeInfo){ position: relative; }

      &::before{
        content: "";
        position: absolute;  top: -.1vw;  left: -.15vw;
        height: calc(100% + 0.2vw);
        border-left: 0.2vw solid $lightGray;
      }
      &.mobile-timeInfo::before{
        left: 0;  height: 0;  width: 100%;
        border-left: 0;  border-top: 0.3vw solid white;
      }
    }
    td.following{
      @extend %prehighlight;
      &::before{ border-color: white; }
    }
    th.highlight, td.highlight{
      .dayName,.lessons,.lessonNumber,.mobile-timeInfo-inner{
        background-color: lighten($darkGray, 7.5);
      }
      &.current .lessons{
        position: relative;
        &::before{
          content: "";
          position: absolute;  top: -.1vw;  left: -.1vw;
          height: calc(100% + 0.2vw);  width: calc(100% + 0.2vw);
          border: 0.15vw solid white;
        }
      }
    }

    .day{
      height: 100%;

      .dayName{
        background-color: $darkGray;  box-shadow: 0 0 0 .2vw $background;
        height: 100%;  min-height: 50px;  min-height: 128px;
        display: flex;  justify-content: center;  align-items: center;
      }

      .lessons{
        background-color: $darkGray;
        padding: 0;
        height: 100%;
        min-height: 128px;
        display: flex;
        flex-direction: column;
        align-items: stretch;  justify-content: stretch;

        .lesson{
          flex-grow: 1;
          display: flex;
          flex-direction: column;
          height: 100%;
          text-align: center;
          text-shadow: 0 0 3px rgba(0, 0, 0, .4);
          &:not(:last-child){
            border-bottom: 0.25vw $darkGray solid;
          }


          .karel{
            color: white;
            text-transform: uppercase;
            font-weight: bolder;
            margin: 1px 0;
            font-size: 10px;
          }
          .subjectName{
            font-weight: bolder;
            font-size: 24px;
            margin: auto 0 1% 0;
          }
          .lessonPlace{
            font-size: 12px;
            margin: 0 0 auto 0;
            display: flex; flex-wrap: wrap;
            justify-content: space-around;
            align-items: center;
            min-width: 60%;
            .room{
              font-weight: bolder;
              font-size: 14px;
            }
            p{
              margin: 0 4px;
            }
          }
        }
      }

      .subjectMAT{
        background-color: #6176F5;
      }
      .subjectEKO{
        background-color: #6AA83B;
      }
      .subjectCJL{
        background-color: #F5614C;
      }
      .subjectANJ{
        background-color: #F574A5;
      }
      .subjectFYZ{
        background-color: #3293A8;
      }
      .subjectTEV{
        background-color: #F5AB49;
      }
      .subjectNEJ{
        background-color: #e7e7e7;
        color: black;
      }
      .subjectRUJ{
        background-color: #F51D43;
      }
      .subjectOBN{
        background-color: #4611A8;
      }
      .subjectPAD{
        background-color: #199F58;
      }
      .subjectGRW{
        background-color: #003E90;
      }
      .subjectPOS{
        background-color: #E2001A;
      }
      .subjectPRC{
        background-color: #F56800;
      }
      .subjectOPS{
        background-color: #000000;
      }
      .subjectTVY{
        background-color: #45A88D;
      }
      .subjectAUT{
        background-color: #FFD700;
      }
      .subjectCIAn{
        // background: #ff00cc;  /* fallback for old browsers */
        // background: -webkit-linear-gradient(to right, #333399, #ff00cc);  /* Chrome 10-25, Safari 5.1-6 */
        // background: linear-gradient(to right, #333399, #ff00cc); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
        background: url('../img/sovietunion.png');
        background-position: left;
        background-repeat: no-repeat;
        background-size: cover;
      }
    }
  }

  #footer{
    min-height: 52px; padding: 8px;
    display: flex;  justify-content: space-around;  align-items: center;
    flex-wrap: wrap;
    background-color: $darkGray;
    text-align: center;

    & > *{
      padding: 8px;
    }
  }
}
